/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 * 
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-share/src/org/opendj/share/ChannelTimeComparator.java,v 1.1.1.1 2001/09/29 20:39:30 jonathan Exp $
 * $Log: ChannelTimeComparator.java,v $
 * Revision 1.1.1.1  2001/09/29 20:39:30  jonathan
 * Imported opendj-share
 *
 */
package org.opendj.share;

import java.util.Comparator;

public class ChannelTimeComparator implements Comparator {

    public ChannelTimeComparator () {}

    public int compare( Object o1, Object o2 ) {
        if ( o1 instanceof ChannelTime && o2 instanceof ChannelTime ) {
            ChannelTime c1 = (ChannelTime) o1;
            ChannelTime c2 = (ChannelTime) o2;

            // ONAIR always compares "less than" everything else
            if ( c1.special == ChannelTime.ONAIR ) {
                return Integer.MIN_VALUE;
            }
            if ( c2.special == ChannelTime.ONAIR ) {
                return Integer.MAX_VALUE;
            }

            // Otherwise c1 is "less than" c2 by the difference of
            // its delta
            return (int) (c1.delta - c2.delta);
        }
        // Hmmm... every other class looks "equal"
        return 0;
    }

    public boolean equals( Object o ) {
        return ( o instanceof ChannelTimeComparator );
    }

}
