/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 * 
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-share/src/org/opendj/share/DateFormat.java,v 1.1.1.1 2001/09/29 20:39:30 jonathan Exp $
 * $Log: DateFormat.java,v $
 * Revision 1.1.1.1  2001/09/29 20:39:30  jonathan
 * Imported opendj-share
 *
 */
package org.opendj.share;

import java.util.Date;
import java.text.SimpleDateFormat;

public class DateFormat {

    private static SimpleDateFormat itsUIDateFormat = null;

    static {
        String aUIDateFormat = null;

        aUIDateFormat = "M/d/yyyy";
        itsUIDateFormat = new SimpleDateFormat(aUIDateFormat);
    }

    private DateFormat() {}

    public static String FormatNormalDate( Date theDate ) {

        if ( theDate == null ) { 
            return Util.EMPTY_STRING;
        }
        if ( theDate.getTime() <= 0 ) {
            return Util.EMPTY_STRING;
        }
        return itsUIDateFormat.format(theDate);
    }

}
