/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 * 
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-share/src/org/opendj/share/DjBean.java,v 1.1.1.1 2001/09/29 20:39:30 jonathan Exp $
 * $Log: DjBean.java,v $
 * Revision 1.1.1.1  2001/09/29 20:39:30  jonathan
 * Imported opendj-share
 *
 */
package org.opendj.share;

import java.util.StringTokenizer;
import java.util.Date;

public class DjBean {

    protected int    itsDJID            = -1;
    protected String itsIpaddr          = null;
    protected String itsEmail           = null;
    protected String itsPassword        = null;
    protected String itsShowname        = null;
    protected String itsDjname          = null;
    protected int    itsGenre           = -1;
    protected String itsGenreval        = null;
    protected long   itsJoindate        = 0;
    protected long   itsFirstbroadcast  = 0;
    protected int    itsNumbroadcasts   = -1;
    protected int    itsNumreruns       = -1;
    protected int    itsTotallisteners  = -1;
    protected int    itsNumsubs         = -1;
    protected int    itsNumstartlate    = -1;
    protected int    itsNumendearly     = -1;
    protected int    itsNumnoshow       = -1;
    protected String itsCity            = null;
    protected String itsState           = null;
    protected String itsCountry         = null;
    protected String itsPhone           = null;
    protected String itsMusicdesc       = null;
    protected String itsWebpage         = null;
    protected int    itsMaxweeklyblocks = -1;
    protected int    itsMaxsingleblocks = -1;
    protected long   itsKarma           = -1;

    public DjBean () {}

    public int    getdjid() { return itsDJID; }
    public void   setdjid(int theDJID) { itsDJID = theDJID; }

    public String getipaddr() { return itsIpaddr; }
    public void   setipaddr(String theIpaddr) { itsIpaddr = theIpaddr; }

    public String getemail() { return itsEmail; }
    public void   setemail(String theEmail) { itsEmail = theEmail; }

    public String getpassword() { return itsPassword; }

    public String getshowname() { return itsShowname; }
    public void   setshowname(String theShowname) { itsShowname = theShowname; }

    public String getdjname() { return itsDjname; }
    public void   setdjname(String theDjname) { itsDjname = theDjname; }

    public int    getgenre() { return itsGenre; }
    public void   setgenre(int theGenre) { itsGenre = theGenre; }

    public String getgenreval() { return itsGenreval; }
    public void   setgenreval(String theGenreval) { itsGenreval = theGenreval; }

    public long   getjoindate() { return itsJoindate; }
    public void   setjoindate(long theJoindate) { itsJoindate = theJoindate; }

    public String getjoindatestring() { return DateFormat.FormatNormalDate(new Date(getjoindate())); }

    public long   getfirstbroadcast() { return itsFirstbroadcast; }
    public void   setfirstbroadcast(long theFirstbroadcast) { itsFirstbroadcast = theFirstbroadcast; }

    public String getfirstbroadcaststring() { return DateFormat.FormatNormalDate(new Date(getfirstbroadcast())); }

    public int    getnumbroadcasts() { return itsNumbroadcasts; }
    public void   setnumbroadcasts(int theNumbroadcasts) { itsNumbroadcasts = theNumbroadcasts; }

    public int    getnumreruns() { return itsNumreruns; }
    public void   setnumreruns(int theNumreruns) { itsNumreruns = theNumreruns; }

    public int    gettotallisteners() { return itsTotallisteners; }
    public void   settotallisteners(int theTotallisteners) { itsTotallisteners = theTotallisteners; }

    public int    getnumsubs() { return itsNumsubs; }
    public void   setnumsubs(int theNumsubs) { itsNumsubs = theNumsubs; }

    public int    getnumstartlate() { return itsNumstartlate; }
    public void   setnumstartlate(int theNumstartlate) { itsNumstartlate = theNumstartlate; }

    public int    getnumendearly() { return itsNumendearly; }
    public void   setnumendearly(int theNumendearly) { itsNumendearly = theNumendearly; }

    public int    getnumnoshow() { return itsNumnoshow; }
    public void   setnumnoshow(int theNumnoshow) { itsNumnoshow = theNumnoshow; }

    public String getcity() { return itsCity; }
    public void   setcity(String theCity) { itsCity = theCity; }

    public String getstate() { return itsState; }
    public void   setstate(String theState) { itsState = theState; }

    public String getcountry() { return itsCountry; }
    public void   setcountry(String theCountry) { itsCountry = theCountry; }

    public String getphone() { return itsPhone; }
    public void   setphone(String thePhone) { itsPhone = thePhone; }

    public String getmusicdesc() { return itsMusicdesc; }
    public void   setmusicdesc(String theMusicdesc) { itsMusicdesc = theMusicdesc; }

    public String getwebpage() { return itsWebpage; }
    public void   setwebpage(String theWebpage) { itsWebpage = theWebpage; }

    public int    getmaxweeklyblocks() { return itsMaxweeklyblocks; }
    public void   setmaxweeklyblocks(int theMaxweeklyblocks) { itsMaxweeklyblocks = theMaxweeklyblocks; }

    public int    getmaxsingleblocks() { return itsMaxsingleblocks; }
    public void   setmaxsingleblocks(int theMaxsingleblocks) { itsMaxsingleblocks = theMaxsingleblocks; }

    public long   getkarma() { return itsKarma; }
    public void   setkarma(long theKarma) { itsKarma = theKarma; }

    public static DjBean parseServerLine ( String theLine ) {
        
        StringTokenizer st = new StringTokenizer(theLine, "|");
        String aToken = null;

        DjBean aDjBean = new DjBean();

        // Skip over the command
        st.nextToken();

        aDjBean.setdjid( Integer.parseInt(st.nextToken()) );
        aDjBean.itsPassword = st.nextToken();
        aDjBean.setkarma( Long.parseLong(st.nextToken()) );
        aDjBean.setgenre( Integer.parseInt(st.nextToken()) );
        aDjBean.setipaddr( st.nextToken() );
        aDjBean.setemail( st.nextToken() );
        aDjBean.setshowname( st.nextToken() );
        aDjBean.setdjname( st.nextToken() );
        aDjBean.setgenreval( st.nextToken() );
        try {
            aToken = st.nextToken();
            aDjBean.setjoindate( Long.parseLong(aToken) );
        } catch ( Exception e ) {}
        try {
            aToken = st.nextToken();
            aDjBean.setfirstbroadcast( Long.parseLong(aToken) );
        } catch ( Exception e ) {}
        aDjBean.setnumbroadcasts( Integer.parseInt(st.nextToken()) );
        aDjBean.setnumreruns( Integer.parseInt(st.nextToken()) );
        aDjBean.settotallisteners( Integer.parseInt(st.nextToken()) );
        aDjBean.setnumsubs( Integer.parseInt(st.nextToken()) );
        aDjBean.setnumstartlate( Integer.parseInt(st.nextToken()) );
        aDjBean.setnumendearly( Integer.parseInt(st.nextToken()) );
        aDjBean.setnumnoshow( Integer.parseInt(st.nextToken()) );
        aDjBean.setcity( st.nextToken() );
        aDjBean.setstate( st.nextToken() );
        aDjBean.setcountry( st.nextToken() );
        aDjBean.setwebpage( st.nextToken() );

        return aDjBean;
    }
}
