/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 * 
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-share/src/org/opendj/share/GenreBean.java,v 1.1.1.1 2001/09/29 20:39:30 jonathan Exp $
 * $Log: GenreBean.java,v $
 * Revision 1.1.1.1  2001/09/29 20:39:30  jonathan
 * Imported opendj-share
 *
 */
package org.opendj.share;

import java.util.StringTokenizer;

public class GenreBean {

    protected int    itsGID      = -1;
    protected String itsName    = null;

    public GenreBean () {}

    public void init ( int theGID, String theName ) {
        /*
        System.err.println("GenreBean.init("
                           + theGID + ", "
                           + "'" + theName + "')");
        */
        itsGID     = theGID;
        itsName    = theName;
    }

    public int    getgid() { return itsGID; }
    public void   setgid(int theGID) { itsGID = theGID; }

    public String getname() { return itsName; }
    public void   setname(String theName) { itsName = theName; }

    public String getcapname() { return Util.capitalize(itsName); }

    public static GenreBean parseServerLine(String theLine) {

        StringTokenizer st = new StringTokenizer(theLine, "|");

        GenreBean aGenreBean = new GenreBean();

        // Skip the first token, it is the server status
        st.nextToken();
        aGenreBean.setgid(Integer.parseInt(st.nextToken().trim()));
        aGenreBean.setname(st.nextToken());

        return aGenreBean;
    }
}
