/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 * 
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-share/src/org/opendj/share/LineWrapper.java,v 1.1.1.1 2001/09/29 20:39:30 jonathan Exp $
 * $Log: LineWrapper.java,v $
 * Revision 1.1.1.1  2001/09/29 20:39:30  jonathan
 * Imported opendj-share
 *
 */
package org.opendj.share;

import java.awt.FontMetrics;
import java.awt.Graphics;
import java.util.StringTokenizer;
import java.util.List;
import java.util.Vector;

public class LineWrapper {

    public static List wrapLines ( String theLines, 
                                   int thePixelWidth,
                                   FontMetrics theFontMetrics,
                                   Graphics theGraphics ) {

        // Break the message up into words
        StringTokenizer st = new StringTokenizer(theLines, " \n", true);
        String aCurrentLabel = Util.EMPTY_STRING;
        String aToken = null;
        List someMessageLines = new Vector();
        while ( st.hasMoreTokens() ) {
            aToken = st.nextToken();
            if ( aToken.equals(" ") ) continue;
            if ( aToken.equals("\n") ) {
                if ( aCurrentLabel.length() > 0 ) {
                    someMessageLines.add(aCurrentLabel);
                }
                aCurrentLabel = Util.EMPTY_STRING;
                someMessageLines.add(" ");
                continue;
            }
            if ( getPixelWidth(aCurrentLabel + " " + aToken, 
                               theFontMetrics, 
                               theGraphics ) > thePixelWidth ) {
                if ( aCurrentLabel.length() > 0 ) {
                    someMessageLines.add(aCurrentLabel);
                }
                aCurrentLabel = aToken;
            } else {
                aCurrentLabel += " " + aToken;
            }
        }
        // Add the last token, if necessary
        if ( aCurrentLabel.length() > 0 ) {
            someMessageLines.add(aCurrentLabel);
        }

        return someMessageLines;
    }

    public static int getPixelWidth ( String theText, 
                                      FontMetrics theFontMetrics,
                                      Graphics theGraphics ) {
        return (int) theFontMetrics.getStringBounds(theText, theGraphics).getWidth();
    }

    protected LineWrapper() {}

}
