/*
 * This file and everything in this package is covered under
 * the OPENdj Software License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.opendj
 * 
 * Copyright 2001 DAX Interactive, LLC.
 *
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-share/src/org/opendj/share/MoodBean.java,v 1.1.1.1 2001/09/29 20:39:30 jonathan Exp $
 * $Log: MoodBean.java,v $
 * Revision 1.1.1.1  2001/09/29 20:39:30  jonathan
 * Imported opendj-share
 *
 */
package org.opendj.share;

import java.util.StringTokenizer;

public class MoodBean {

    public static final String DEFAULT_MOOD_STRING = "not specified";

    protected int    itsMID     = -1;
    protected String itsName    = null;

    public MoodBean () {}

    public void init ( int theMID, String theName ) {
        /*
        System.err.println("MoodBean.init("
                           + theMID + ", "
                           + "'" + theName + "')");
        */
        itsMID     = theMID;
        itsName    = theName;
    }

    public int    getmid() { return itsMID; }
    public void   setmid(int theMID) { itsMID = theMID; }

    public String getname() { return itsName; }
    public void   setname(String theName) { itsName = theName; }

    public static MoodBean parseServerLine(String theLine) {

        StringTokenizer st = new StringTokenizer(theLine, "|");

        MoodBean aMoodBean = new MoodBean();

        // Skip the first token, it is the server status
        st.nextToken();
        aMoodBean.setmid(Integer.parseInt(st.nextToken().trim()));
        aMoodBean.setname(st.nextToken());

        return aMoodBean;
    }
}
